Bug 498044 - libXrandr-devel missing dependencies
libXrandr-devel missing dependencies
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libXrandr (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
desktop-bugs@redhat.com
:
Depends On:
Blocks: 503203
  Show dependency treegraph
 
Reported: 2009-04-28 11:55 EDT by Eduardo Habkost
Modified: 2016-04-26 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-26 02:56:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2009-04-28 11:55:18 EDT
Description of problem:
libXrandr-devel needs libXext-devel to work, but it doesn't require it.


Version-Release number of selected component (if applicable):
libXrandr-devel-1.1.1-3.1


How reproducible:
Always

Steps to Reproduce:
1. Install libXrandr-devel-1.1.1-3.1 but not libXext-devel
2. Run pkg-config --cflags xrandr
  
Actual results:
$ pkg-config --cflags xrandr
Package xext was not found in the pkg-config search path.
Perhaps you should add the directory containing `xext.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xext', required by 'Xrandr', not found



Expected results:
'yum intall libXrandr-devel' should bring all the dependencies needed to use the package.

Additional info:
Comment 2 RHEL Product and Program Management 2009-05-06 09:08:13 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Eduardo Habkost 2009-05-29 11:32:58 EDT
The qspice issue was splitted to bug #503203. Bug #494249 was about a different and more serious issue, that is already fixed.
Comment 5 Yuval Kashtan 2009-06-22 01:55:08 EDT
So they prefer to ship a buggy product and make other packages workaround this then to actually fix the issue?!? (it's a small fix, dosn't even require to recompile anything...)
Comment 12 errata-xmlrpc 2009-11-26 02:56:38 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1608.html

Note You need to log in before you can comment on or make changes to this bug.